<?php
/*
 * @file
 * Code Server module for Drupal by netgenius.co.uk
 */

// Set a custom header, handling various Drupal versions.
function codeserver_set_header($name, $value) {
  // For D7 we have drupal_add_http_header().
  if (function_exists('drupal_add_http_header')) {
    drupal_add_http_header($name, $value);
  }
  // For D6 we have drupal_set_header().
  elseif (function_exists('drupal_set_header')) {
    if (strtolower($name) == 'status') {
      drupal_set_header($_SERVER ['SERVER_PROTOCOL'] . ' ' . $value);
    }
    else {
      drupal_set_header($name . ': ' . $value);
    }
  }
  // For D8 we have _drupal_add_http_header().
  elseif (function_exists('_drupal_add_http_header')) {
    /* D8 bootstrap.inc says about _drupal_add_http_header() :
     * deprecated in Drupal 8.x-dev, will be removed before Drupal 8.0.
     * Use \Symfony\Component\HttpFoundation\Response->headers->set().
     * See https://www.drupal.org/node/2181523.
     */
    _drupal_add_http_header($name, $value);
  }
}

// Log a message to the system log, handling D6/D7/D8.
function _codeserver_log_message($message, $variables, $type = 'notice') {
  $module = 'codeserver';
  /*
  if (codeserver_is_d8()) {
    // Currently we expect $type 'error' only, so don't both handling anything else.
    \Drupal::logger($module)->error($message);
  }
  */
  // For Drupal 6 and 7, log the message in the watchdog log.
  $severity = ($type == 'error')? WATCHDOG_ERROR : (($type == 'warning')? WATCHDOG_WARNING : WATCHDOG_NOTICE);
  watchdog($module, $message, $variables, $severity);
}
